Herald
OpenapiExt

Get a single user by ID within a realm

Returns detailed information for the specified user. # Authentication Requires valid API Key via X-API-Key header # Authorization The caller must have `users:view` permission in the target realm.

GET
/api/ext/realms/{realmId}/users/{userId}

Returns detailed information for the specified user.

Authentication

Requires valid API Key via X-API-Key header

Authorization

The caller must have users:view permission in the target realm.

X-API-Key<token>

Client-app API key (third-party external API).

In: header

Path Parameters

realmId*string

Realm ID

userId*string

User ID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/ext/realms/string/users/string"
{  "createdAt": "string",  "email": "string",  "id": "string",  "nickname": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}